@import "../mixins";

.project-management {
  .header-actions {
    display: flex;
    justify-content: space-between;
    margin: 10px 0 0 0;
    .right {
      display: flex;
      align-items: center;
      .action-btn {
        margin: 0 5px 0 0;
        min-width: 75px;
        font-weight: 600;
        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
      .top-bar-active-filter {
        height: 31px;
        background-color: white;
        margin-top: -2px;
        border-radius: 5px;
        margin-right: 16px;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        padding-right: 15px;

        .clear-action {
          height: 15px;
          width: 70px;
          font-family: Montserrat;
          font-size: var(--font-xs);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #db7c20;
          padding-left: 15px;

          &:hover {
            cursor: pointer;
          }
        }

        .applied-filter {
          display: flex;
          justify-content: center;
          align-items: center;
          padding-left: 10px;
        }

        .filters {
          font-family: Montserrat;
          font-size: var(--font-m);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.29;
          letter-spacing: normal;
          text-align: left;
          color: #003041;
          padding-left: 8px;
          padding-right: 8px;
        }

        .top-filter-delete {
          width: 12px;
          height: 12px;
          // padding-left: 4px;
          opacity: 1;
          transform: none;
          cursor: pointer;
        }
      }
      .action-btn + .filter {
        position: relative;
        cursor: pointer;
      }
      .action-btn-group {
        filter: grayscale(1);
        margin: 0 5px 0 0;
        min-width: 95px;
        font-weight: 600;
        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
    }
  }
  button.square-btn {
    min-width: unset !important;
    margin: 0 5px 0 0;
  }

  .body-panel {
    height: 83vh;
    margin: 10px 0 0 0;
  }
}

.project-list-panel {
  .project-list {
    background: white;
    .asc-order {
      margin: 0 auto auto auto;
    }
    .desc-order {
      margin: 0 auto auto auto;
    }
    .sub-heading {
      padding: 0 5px;
      display: grid;
      grid-template-columns: 1fr 0.25fr 1fr;
      grid-template-rows: auto;
      font-weight: 400;
    }
    .title {
      text-align: center;
      margin: 0 auto auto auto;
    }
    .sales-activity-title {
      // text-align: center;
      font-weight: 600;
      // margin: 0 auto auto auto;
    }
    .header {
      padding: 10px;
      display: grid;
      grid-template-rows: auto;
      border-bottom: solid 1px #d3dde0;
      .time {
        font-weight: 600;
        text-align: center;
      }
      .title {
        font-weight: 600;
        cursor: pointer;
        margin: auto;
      }
      .project-name {
        min-width: 167px;
        margin: auto 0;
        padding: 0 5px;
        gap: 5px;
        display: flex;
        justify-content: flex-start;
        cursor: pointer;
        overflow: hidden;
      }
      .manager.title {
        display: flex;
      }
    }

    #scrollableDiv {
      @include small_scroll();
    }

    .column-7 {
      grid-template-columns: 0.5fr 1fr 1.4fr 0.75fr 0.75fr 0.75fr 0.6fr;
    }

    .column-8 {
      grid-template-columns: 0.5fr 1fr 1.5fr 1fr 0.75fr 0.75fr 0.75fr 0.6fr;
    }

    .column-8-sales-activity {
      grid-template-columns: 0.5fr 0.5fr 1fr 0.75fr 0.75fr 0.75fr 0.75fr 1fr;
    }

    .column-9-sales-activity {
      grid-template-columns: 0.5fr 0.5fr 1fr 0.75fr 0.75fr 0.75fr 0.75fr 0.75fr 1fr;
    }

    .column-10-sales-activity {
      grid-template-columns: 0.5fr 0.5fr 1fr 1fr 1fr 0.75fr 0.75fr 0.5fr 0.75fr 0.5fr;
    }

    .column-11 {
      grid-template-columns: 0.5fr 0.5fr 1fr 1fr 1fr 0.75fr 0.75fr 0.75fr 0.5fr 0.75fr 0.5fr;
    }

    .row-panel {
      margin: 5px;
      padding: 5px;
      display: grid;
      grid-template-rows: auto;
      text-align: center;
      line-height: 3;
      font-weight: 500;
      cursor: pointer;
      img.status-svg-images {
        width: 15px;
        margin: -20px 0 0 0;
      }
      img.status-svg-images-black {
        width: 15px;
        margin: -15px 0 0 0;
        filter: invert(1);
      }
      .icons {
        justify-content: space-around;
        display: flex;
        // margin: 0 0 0 5px;
      }
      .project-name {
        display: flex;
        justify-content: flex-start;
        cursor: pointer;
        overflow: hidden;
        padding: 0 5px;

        .ellipsis-text {
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          width: 150px;
          text-align: left;
        }
        .name {
          font-weight: 400;
        }
        &:hover {
          text-decoration: underline;
          color: blue;
        }
      }
      .manager {
        display: flex;
        align-items: center;
        float: unset;
        margin: auto;
        overflow: hidden;
        .pm-image-circle {
          width: 40px;
          height: 30px;
          display: inline-block;
          border-radius: 50%;
          background-repeat: no-repeat;
          background-position: center center;
          background-size: cover;
          border: 1px solid #ccc;
          margin: 0px 5px 0 0;
        }
      }
      .sub-heading {
        font-weight: 600;
      }
    }
    .row-highlight {
      background: #f5ecee !important;
    }
    .status {
      margin: 0;
      height: unset;
      font-size: var(--font-m);
      font-weight: 600;
      font-stretch: normal;
      font-style: normal;
      letter-spacing: normal;
      text-align: left;
      width: 8vw;
      .left-column {
        height: unset;
      }
    }

    .user-name {
      display: block;
      width: 93%;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      text-align: left;
    }

    .icons {
      justify-content: space-around;
      display: flex;
      // margin: 0 0 0 5px;
    }
    img.status-svg-images {
      width: 15px;
      margin: 0 !important;
    }
  }

  .applied-filters-row {
    display: flex;
    background: white;
    border-bottom: solid 1px #d3dde0;
    padding: 10px;

    .top-bar-active-filter {
      // max-width: 777px;
      // width: 500px;
      // height: 31px;
      background-color: white;
      margin-top: -2px;
      border-radius: 5px;
      margin-right: 16px;
      display: flex;
      flex-direction: row;
      align-items: center;
      flex-wrap: wrap;
      // padding-right: 15px;

      :first-child {
        padding-left: 0px;
        margin-left: 0px !important;
      }

      .clear-action {
        height: 15px;
        width: 70px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #db7c20;
        padding-left: 15px;

        &:hover {
          cursor: pointer;
        }
      }

      .applied-filter {
        display: flex;
        justify-content: center;
        align-items: center;
        padding-left: 10px;
        border: 1px solid #3cbbc1;
        border-radius: 5px;
        padding: 5px;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-left: 5px;
      }

      .filters {
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        padding-left: 8px;
        padding-right: 8px;
      }

      .top-filter-delete {
        width: 12px;
        height: 12px;
        // padding-left: 4px;
        opacity: 1;
        transform: none;
        cursor: pointer;
      }
    }
  }
}

.project-filters-container {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding: 10px;
  width: 431px;
  height: 390px;
  border-radius: 4px;
  border: solid 1px #d3dde0;
  background-color: #ffffff;
  z-index: 1;
  position: absolute;
  right: 120px;
  top: 110px;

  .header {
    display: flex;
    gap: 3px;
    justify-content: space-between;
    flex-direction: column;
    margin: 5px 0 2px;

    .filter-heading {
      font-family: Montserrat;
      font-size: var(--font-xs);
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.25;
      letter-spacing: normal;
      text-align: left;
      color: #79868b;
    }
  }

  .body-container {
    display: flex;
    flex-direction: row;
    height: 250px;
    padding-top: 15px;

    .filter-left {
      width: 250px;
      border-right: 0.5px solid;
      border-right-color: #dce6ea;

      .filter-option {
        min-height: 42px;
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        cursor: pointer;
        padding-top: 12px;
        padding-left: 12px;
      }

      .active-filter {
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #00a0dc;
        background-color: #eaf8fd;
        border-right: 3px solid #00a0dc;
      }

      .selection-count {
        padding-top: 8px;
        padding-bottom: 8px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }
    }

    .filter-right {
      width: 100%;
      max-height: 255px;
      overflow-y: auto;

      .filter-selection {
        width: 210px;
        margin-left: 25px;

        .field-section {
          padding: 10px 0px;

          .field__input {
            .rdt {
              position: absolute;
            }
          }
        }
      }
    }
  }

  .selected-filter-section {
    display: flex;
    margin-top: 18px;
    justify-content: space-between;
    align-items: center;
    padding-left: 6px;
  }

  .selected-filter-option {
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #003041;
  }

  .selected-delete {
    width: 12px;
    height: 12px;
    opacity: 1;
    transform: none;
    cursor: pointer;
  }

  .action-footer {
    padding-left: 250px;
  }
}
